const stateDefault = () => ({
  dev: '',
  store: [],
  items: []
})

export default sysReducer = (state = stateDefault(), action) => {
  switch (action.type) {
    case 'device':
      return { ...state, dev: action.dev }
    case 'store':
      return { ...state, store: action.list }
    case 'clear_store':
      return { ...state, store: [] }
    case 'clear_items':
      return { ...state, items: [] }
    case 'items':
      return { ...state, items: action.list }
    default:
      return state
  }
}